6.3.4. Installing Additional Operating System Packages

The following package groups and packages must be installed on all Red Hat Enterprise Linux systems:
  • gnome-desktop (package group)
  • compat-arch-support (package group)
  • web-server (package group)
  • kernel-smp (package)
  • e2fsprogs (package)
  • firefox (package)
To verify that the packages are installed, just run rpm -qi For example:
rpm -qi gnome-desktop

gnome-desktop-2.16.0-1.el5
On 64-bit Red Hat Enterprise Linux platforms, be certain that the 64-bit (x86_64) compat-libstdc++ libraries are installed, and not only the 32-bit (i386) libraries. To confirm this, run the following as root:
rpm -qi compat-libstdc++ --queryformat '%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}.rpm\n' | grep x86_64
Numerous libraries should be displayed.